@import url("https://fonts.googleapis.com/css2?family=Asap:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");



* {

  margin: 0;

  padding: 0;

  box-sizing: border-box;

}

:root {

  --Asap: "Asap", sans-serif;

  --Roboto: "Roboto", sans-serif;

}



body {

  min-height: 100vh;

  display: flex;

  flex-direction: column;

  justify-content: space-between;

}

body#body-step {

  background-image: url("../images/bg.png");

  background-size: 100% 100%;

}

.conteiner-step {

  width: 100%;

  max-width: 790px;

  min-height: 381px;

  padding: 28px;

  margin: 0 auto 50px;



  display: flex;

  justify-content: center;

  align-items: center;



  border-radius: 18px;

  background: #FFF;



  text-align: center;

}



/* step-1 */

.step-1 .question h3 {

  color: #0029D3;

  text-align: center;

  font-family: var(--Roboto);

  font-size: 35px;

  font-style: normal;

  font-weight: 700;

  line-height: normal;

  text-transform: uppercase;



  margin-bottom: 47px;

}

.step-1 .p-text {

  font-family: "Roboto";

  font-style: normal;

  font-weight: 500;

  font-size: 14px;

  line-height: 150%;

  /* or 21px */



  text-align: center;



  color: #616161;

}

.step-1 .answer {

  display: flex;

  gap: 80px;

  justify-content: center;



}



.step-1 input[type="radio"] {

  position: relative;

  transition: all 0.5s ease;



  min-width: 211px;

  height: 56px;

  display: inline-block;

  padding: 7px 0px 6px;



  border-radius: 53px;

  background: #FF9C0D;

  box-shadow: 0px 3px 0px 0px rgba(10, 240, 255, 0.25) inset, 0px -3px 0px 0px rgba(0, 0, 0, 0.25) inset;



  appearance: none;

  -webkit-appearance: none;

  outline: none;



  cursor: pointer;

}



.step-1 input[type="radio"]::before {

  position: absolute;

  left: 50%;

  top: 50%;

  transform: translate(-50%, -50%);

  transition: all 0.5s ease;



  text-align: center;

  font-family: var(--Roboto);

  font-size: 25px;

  font-style: normal;

  font-weight: 900;

  line-height: normal;

  text-transform: uppercase;

}



.step-1 input[data-name="Y"]::before {

  content: "Yes";

  color: #fff;

}

input[type="radio"][data-name="N"] {

  border-radius: 53px;

  background: #9F9F9F;

}

.step-1 input[data-name="N"]::before {

  content: "No";

  color: #fff;

}



.step-1 input[value="no"]:checked {

  background: red;

}

.step-1 input[value="yes"]:checked {

  background: green;

}



.step-1 input[type="radio"]:checked::before {

  color: white !important;

}



.step-1 input[type="radio"]:hover {

  background: #4fa2ff;

}



.step-1 input[type="radio"]:hover::before {

  color: white !important;

}



/* step-2 */

.step-2 .step-title {

  font-family: "Roboto";

  font-style: normal;

  font-weight: 700;

  font-size: 22px;

  line-height: 150%;

  text-align: center;

  color: #4fa2ff;



  margin-bottom: 20px;

}



.step-2 .question {

  padding: 10px 0;

  border-bottom: 0.5px solid rgba(122, 122, 122, 0.3);

}

.step-2 .question:last-child {

  border-bottom: none;

}

.step-2 .box-flex-question {

  display: flex;

  justify-content: space-between;

}



.step-2 .answers {

  flex: 1;

}



.step-2 .img-question {

  flex: 1.3;

  display: flex;

  justify-content: center;

  align-items: center;

}



.step-2 .question-text {

  flex: 7;



  font-family: var(--Asap);

  font-style: normal;

  font-weight: 500;

  font-size: 14px;

  line-height: 150%;

  color: #3d3d3d;

  text-align: left;

}



.step-2 .question-text div {

  margin-top: 10px;



  font-family: var(--Asap);

  font-style: normal;

  font-weight: 500;

  font-size: 7px;

  line-height: 12px;



  color: #3d3d3d;

}



.step-2 .answers {

  display: flex;

  justify-content: space-between;

  align-items: center;

  gap: 20px;

}



.step-2 .answers .answer {

  display: flex;

  justify-content: space-between;

  align-items: center;

  gap: 6px;

}



.step-2 .answers .answer label {

  font-family: var(--Roboto);

  font-style: normal;

  font-weight: 400;

  font-size: 18px;

  line-height: 150%;



  color: #3d3d3d;

}



.step-2 .answers .answer:hover label {

  font-weight: 500;

}



/* sub question */

.step-2 .box-sub-question {

  width: 100%;

  display: flex;

  /* margin-bottom: 20px; */

}



.step-2 .box-sub-question .left {

  flex: 2.3;

}



.step-2 .box-sub-question .sub-questions {

  flex: 7;

  padding: 20px 30px;

  border-left: 1px solid #7a7a7a;

  border-right: 1px solid #7a7a7a;

  text-align: left;

}



.question .box-sub-question:nth-child(2) .sub-questions {

  border-bottom: none;

  border-top: 1px solid #7a7a7a;

  border-radius: 10px 10px 0 0;

}



.question .box-sub-question:last-child .sub-questions {

  border-top: none;

  border-bottom: 1px solid #7a7a7a;

  border-radius: 0 0 10px 10px;

}



.step-2 .sub-questions .sub-question-text {

  font-family: var(--Asap);

  font-style: normal;

  font-weight: 500;

  font-size: 14px;

  line-height: 16px;

  color: #3d3d3d;



  margin-bottom: 20px;

}



.step-2 .sub-questions .list-checkbox {

  display: flex;

  flex-direction: column;

  gap: 10px;

}



.step-2 .sub-questions .form-check-label {

  font-family: var(--Roboto);

  font-style: normal;

  font-weight: 400;

  font-size: 14px;

  line-height: 16px;

  display: flex;

  align-items: center;



  color: #3d3d3d;

}



.step-2 .sub-questions .form-check:hover .form-check-label {

  font-weight: 500;

}



.step-2 .sub-question-item {

  margin-bottom: 20px;

}



.step-2 .sub-questions .form-check-label .form-check-input {

  display: inline-block;

  width: 12px;

  height: 12px;

  margin: -1px 10px 0 0;

  border: 0.5px solid #000000;

  background-color: white;

  border-radius: 2px;

}



.step-2 .sub-questions .form-check-label .form-check-input:checked {

  background: #38b6ff;

}



.step-2 .sub-questions .privacy {

  text-align: center;

}



.step-2 .sub-questions .privacy a {

  font-family: var(--Asap);

  font-style: normal;

  font-weight: 500;

  font-size: 14px;

  line-height: 16px;

  text-align: center;

  text-decoration-line: underline;



  color: #3d3d3d;

}



/* step 3 */

.step-1 .question h4 {

  font-family: var(--Asap);

  font-style: normal;

  font-weight: 500;

  font-size: 14px;

  line-height: 17px;

  text-align: center;

  text-transform: capitalize;

  color: #000;

  margin-bottom: 20px;

}



.question[data-type="data-type"] {

}



/* thank */

.thank .thank-title h3 {

  margin-bottom: 10px;

}



.thank .thank-title h3 {

  font-family: "Asap", sans-serif;

  font-style: normal;

  font-weight: 700;

  font-size: 30px;

  line-height: 150%;

  color: #38b6ff;

  margin-bottom: 10px;

}



.thank .thank-title h4 {

  font-family: var(--Asap);

  font-style: normal;

  font-weight: 500;

  font-size: 16px;

  line-height: 150%;

  text-align: center;

  text-transform: capitalize;

  color: #38b6ff;



  margin-bottom: 20px;

}



.slider-thank {

  margin: 50px auto 20px;

}



.btn-submit {

  position: relative;

  transition: all 0.5s ease;



  min-width: 109px;

  height: 44px;

  display: inline-block;

  padding: 7px 0px 6px;

  min-width: 154px;



  background: #4fa2ff;

  border-radius: 5px;



  appearance: none;

  -webkit-appearance: none;

  outline: none;



  cursor: pointer;



  font-family: "Roboto";

  font-style: normal;

  font-weight: 500;

  font-size: 25px;

  line-height: 29px;

  text-align: center;

  color: #ffffff;

}

@media screen and (max-width: 1200px) {

  .conteiner-step {

    max-width: 95%;

  }

}



@media screen and (max-width: 768px) {

  .conteiner-step {

    padding: 20px 10px;

  }



  .step-1 .question h3 {

    font-size: 25px;

  }



  .step-2 .answers {

    gap: 10px;

  }



  .step-2 .answers .answer label {

    font-size: 14px;

  }



  .step-2 .img-question {

    flex: 2;

    margin: 0 10px;

  }



  .step-2 .question-text {

    font-size: 12px;

  }



  .step-2 .box-sub-question .left {

    display: none;

  }



  .thank .thank-title h3 {

    line-height: 130%;

  }



  .thank .thank-title h4 {

    font-size: 14px;

  }

  .step-1 .answer {

    gap: 45px;

  }

  .step-1 input[type="radio"] {

    min-width: 130.71px;

    height: 34.624px;



    font-size: 20px

  }

  .step-1 .question h3 {

    font-size: 20px;

    margin-bottom: 33px;

  }

  .conteiner-step {

    max-width: 93%;

    min-height: 355px;

  }

  .box-logo img {

    max-width: 91px;

  } 

  body#body-thank {

    background: url("../images/bg-thank-mb.png") no-repeat center !important;

    background-size:cover !important;

  }

}



@media screen and (max-width: 500px) {

  body#body-step {

    background-image: url("../images/bg-1-mb.png") no-repeat center;

    background-size: cover;

  }

  .thank-title h1{

    font-size: 18px;

  }

}

